Bug 214164 - system-config-nfs doesn't understand multi-lines
Summary: system-config-nfs doesn't understand multi-lines
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-nfs   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-06 11:39 UTC by Bastien Nocera
Modified: 2018-10-19 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 13:38:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-11-06 11:39:22 UTC
system-config-nfs-1.2.8-1-noarch

1. Add the following lines to your /etc/exports:
/home/ 10.1.1.0/255.255.252.0(rw,no_root_squash,sync) \
         10.1.2.1(rw,no_root_squash,sync)
2. Launch system-config-nfs
3. Get an error like:
usr/share/system-config-nfs/mainWindow.py:82: DeprecationWarning: use gtk.UIManager
  item_fac = gtk.ItemFactory(gtk.MenuBar, "<main>", accel_group)
/usr/share/system-config-nfs/mainWindow.py:105: DeprecationWarning:
  self.on_add_button_clicked, None, 0)
/usr/share/system-config-nfs/mainWindow.py:112: DeprecationWarning:
  None, self.on_properties_button_clicked, None, 1)
/usr/share/system-config-nfs/mainWindow.py:118: DeprecationWarning:
  None, self.on_delete_button_clicked, None, 2)
/usr/share/system-config-nfs/mainWindow.py:124: DeprecationWarning:
  None, 3)
Traceback (most recent call last):
  File "/usr/share/system-config-nfs/system-config-nfs.py", line 41, in ?
    mainWindow.mainWindow()
  File "/usr/share/system-config-nfs/mainWindow.py", line 141, in __init__
    self.exports = nfsBackend.NfsBackend()
  File "/usr/share/system-config-nfs/nfsBackend.py", line 34, in __init__
    self.parseFile()
  File "/usr/share/system-config-nfs/nfsBackend.py", line 125, in parseFile
    data = tokens[1]
IndexError: list index out of range

I also filed bug 214163 about the latest version not being able to parse
multi-lines either.

Comment 1 Nils Philippsen 2006-11-10 13:24:46 UTC
fixed in Rawhide version 1.3.20

Comment 2 Nils Philippsen 2006-11-21 16:08:23 UTC
Note that there are quite some changes to the parser between RHEL4 and current
CVS, so I'd rather not try to backport these, but rebase and possibly disable
some of the newer options that aren't valid in RHEL4.

Steve, what's your stance on this?

Comment 7 Phil Knirsch 2008-02-12 13:38:12 UTC
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.



Note You need to log in before you can comment on or make changes to this bug.